%global _docdir_fmt %{name}

Name:		ignition-transport
Version:	1.3.0
Release:	1%{?dist}
Summary:	A fast and efficient message passing system

Group:		Development/Libraries
License:	ASL 2.0
URL:		http://ignitionrobotics.org/libraries/transport
Source0:	http://gazebosim.org/distributions/ign-transport/releases/%{name}-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	cppzmq-devel
BuildRequires:	dos2unix
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	pkgconfig(uuid)
BuildRequires:	protobuf-devel
BuildRequires:	rubygem-ronn
BuildRequires:	zeromq-devel


%description
The ignition transport library combines ZeroMQ with Protobufs to create
a fast and efficient message passing system. Asynchronous message publication
and subscription is provided along with service calls and discovery.

%package devel
Summary: Development files and libraries for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files and libraries
for %{name}. If you like to develop programs using
%{name}, you will need to install
%{name}-devel.

%package doc
Summary: Development documentation for %{name}
BuildArch: noarch

%description doc
Generated API and development documentation for %{name}

%prep
%setup -q
# Required to sneak in custom CFLAGS via CMAKE_C_FLAGS_ALL
sed -i 's/unset/#unset/g' CMakeLists.txt
dos2unix README.md

%build
mkdir build
pushd build
%cmake .. \
%ifnarch x86_64
  -DSSE2_FOUND=FALSE \
%endif
  -DSSE3_FOUND=FALSE \
  -DSSSE3_FOUND=FALSE \
  -DSSE4_1_FOUND=FALSE \
  -DSSE4_2_FOUND=FALSE \
  -DCMAKE_C_FLAGS_ALL="%{optflags}" \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo
popd

make -C build %{?_smp_mflags}
make -C build doc

%install
make -C build install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_usr}/lib/ruby

%check
# Firewall settings prevent most of these tests from passing.
# Disabled for now.
#make -C build test ARGS="-V" || exit 0

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%doc README.md
%{_libdir}/*.so.*
%{_datadir}/ignition

%files devel
%{_libdir}/pkgconfig
%{_libdir}/*.so
%{_libdir}/cmake
%{_includedir}/ignition

%files doc
%license COPYING
%doc build/doxygen/html

%changelog
* Wed Jul 20 2016 Rich Mattes <richmattes@gmail.com> - 1.3.0-1
- Update to release 1.3.0

* Tue Jul 05 2016 Rich Mattes <richmattes@gmial.com> - 1.2.0-1
- Update to release 1.2.0

* Sat Dec 05 2015 Rich Mattes <richmattes@gmail.com> - 0.7.0-1
- Initial release (rhbz#1353064)
